SLOGENCRYPT(1)

NAME
slogencrypt - Encrypt existing plain text log files using the syslog-ng secure logging environment

SYNOPSIS

slogencrypt [options] [arguments]

DESCRIPTION

The slogencrypt is used to encrypt plain text log file using an existing secure logging environment. Using this utility, log files obtained from a previous installation of syslog-ng or another logging system can be transferred to a secure logging environment. The order of the log entries is preserved. Encrypting plain text log files using an existing secure logging environment, requires the current encryption key to be supplied in order to preserve consistency.

General call sequence: slogencrypt -k <key file> -m <MAC file> <new key file> <new MAC file> <plain text log> <output file> [counter]

ARGUMENTS

new key file
    The file that will contain the new current encryption key after successful encryption.

new MAC file
    The file receiving the new current message authentication code (MAC) of the secure encrypted destination after encryption. In case an existing file is supplied, new entries will be appended.

input log file
    The plain text log file that will be encrypted using the secure logging environment.

output log file
    The file that will contain the encrypted log entries from the supplied plain text log file after encryption.

counter
    The current log entry counter of the secure encrypted destination after encryption. This is required if the log entries to be encrypted will be appended to an existing secure encrypted destination.

OPTIONS

--key-file or -k
    The current host key from the system where the encryption will be performed.

--mac-file or -m
    The current MAC file from the system where the encryption will be performed.

--help or -h
    Display a help message.

FILES

/usr/bin/slogencrypt

/etc/syslog-ng.conf

SEE ALSO

syslog-ng.conf(5)

secure-logging(7)

    Note

    For the detailed documentation of see The syslog-ng Administrator Guide[1]

    If you experience any problems or need help with syslog-ng, visit the syslog-ng mailing list[2].

    For news and notifications about of syslog-ng, visit the syslog-ng blogs[3].

    For specific information requests related to secure logging send a mail to the Airbus Secure Logging Team <secure-logging@airbus.com>.

AUTHOR

This manual page was written by the Airbus Secure Logging Team <secure-logging@airbus.com>.

COPYRIGHT

NOTES

1.  The syslog-ng Administrator Guide
    https://www.balabit.com/documents/syslog-ng-ose-latest-guides/en/syslog-ng-ose-guide-admin/html/index.html

2.  syslog-ng mailing list
    https://lists.balabit.hu/mailman/listinfo/syslog-ng

3.  syslog-ng blogs
    https://syslog-ng.org/blogs/